Package net.shibboleth.profile.relyingparty.impl

# Class CriteriaSelfEntityIDResolver

java.lang.Object
net.shibboleth.shared.component.AbstractInitializableComponent
net.shibboleth.shared.component.AbstractIdentifiedInitializableComponent
net.shibboleth.profile.relyingparty.impl.BaseCriteriaRelyingPartyConfiigurationResolver<String>
net.shibboleth.profile.relyingparty.impl.CriteriaSelfEntityIDResolver

All Implemented Interfaces:
  `Component`, `DestructableComponent`, `IdentifiableComponent`, `IdentifiedComponent`, `InitializableComponent`, `Resolver<String,CriteriaSet>`

public class CriteriaSelfEntityIDResolver extends BaseCriteriaRelyingPartyConfiigurationResolver<String>
Resolver which uses an instance of `RelyingPartyConfigurationResolver` to resolve our own entityID.

The required and allowed criteria are the same as the `RelyingPartyConfigurationResolver` implementation in use.

## Constructor Summary

Constructors
Constructor
Description
`CriteriaSelfEntityIDResolver()`

## Method Summary

Modifier and Type
Method
Description
`Iterable<String>`
`resolve(CriteriaSet criteria)`
`String`
`resolveSingle(CriteriaSet criteria)`

### Methods inherited from class net.shibboleth.profile.relyingparty.impl.BaseCriteriaRelyingPartyConfiigurationResolver

`doDestroy, doInitialize, resolveRelyingPartyConfiguration, setId, setRelyingPartyConfigurationResolver`

### Methods inherited from class net.shibboleth.shared.component.AbstractIdentifiedInitializableComponent

`ensureId, getId, ifDestroyedThrowDestroyedComponentException, ifInitializedThrowUnmodifiabledComponentException, ifNotInitializedThrowUninitializedComponentException`

### Methods inherited from class net.shibboleth.shared.component.AbstractInitializableComponent

`checkComponentActive, checkSetterPreconditions, destroy, initialize, isDestroyed, isInitialized`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface net.shibboleth.shared.component.IdentifiedComponent

`getId`

## Constructor Details

### CriteriaSelfEntityIDResolver

public CriteriaSelfEntityIDResolver()

## Method Details

### resolve

@Nonnull public Iterable<String> resolve(@Nullable CriteriaSet criteria) throws ResolverException

Throws:
  `ResolverException`

### resolveSingle

@Nullable public String resolveSingle(@Nullable CriteriaSet criteria) throws ResolverException

Throws:
  `ResolverException`